<!doctype html>
<html lang="de-DE">

{{> head }}

<body>
  <div>
    {{> breadcrumbs }}
    <div id="ovk-content">
      <h1>Informationsintegration</h1>
      <p>
        Informationsintegration bezeichnet den <b>Prozess der Zusammenführung von Daten heterogener Quellen und Formate</b>. Der Begriff <b>Datenheterogenität</b> bezieht sich in diesem Kontext vor allem auf Unterschiede innerhalb der Struktur, der Semantik und des Speicherorts der angefragten Daten. Diese Differenzen erfordern oft komplexe <b>Transformations- und Konsolidierungsmechanismen</b>, um Anwender:innen eine einheitliche, umfassende und konsistente Sicht auf benötigte Informationen zu bieten.
      </p>

      <details>
        <summary><span>Heterogenitätsarten</span></summary>
        <p>
          In der heutigen, zunehmend vernetzten Welt sehen sich Organisationen immer stärker mit der Herausforderung konfrontiert, immense <b>Datenmengen aus vielfältigen Quellen, Strukturen und Formaten</b> zu verwalten. Die Schwierigkeit besteht hierbei darin, diese heterogenen Daten effektiv zu integrieren, um den beteiligten Akteuren die benötigten <b>Informationen kohärent und bedarfsgerecht</b> zur Verfügung stellen zu können.<br>
          Die Heterogenität in Datenbank- und Informationssystemen kann dabei auf verschiedene Ursachen zurückgeführt werden. Häufig werden entsprechende Systeme in verschiedenen Abteilungen entwickelt, um spezifische Anforderungen zu erfüllen. Veränderungen der Organisationsstrukturen oder das Aufkommen neuer Technologien erfordern oft die <b>Herstellung der Interoperabilität</b> zwischen den bestehenden Systemen. Im Kontext der Informationsintegration ist es dabei zunächst wichtig, <b>strukturelle und semantische Heterogenitäten</b> der bestehenden Datenmodelle zu identifizieren:
        </p>

        <div class="nav nav-tabs" role="tab">
          <button class="nav-link active" data-bs-toggle="tab" href="#home_heterogenitaet">Strukturelle Heterogenität</button>
          <button class="nav-link" data-bs-toggle="tab" href="#menu_heterogenitaet1">Semantische Heterogenität</button>
        </div>

        <div class="tab-content">
          <div class="tab-pane container active" id="home_heterogenitaet">
            <table>
              <tr>
                <td><b>Definition:</b></td>
                <td>Die Schemata zweier Datenmodelle erfassen zwar den gleichen Realweltausschnitt, unterscheiden sich jedoch in ihrem Aufbau voneinander.</td>
              </tr>
              <tr>
                <td><b>Beispiel:</b></td>
                <td>In einer Datenbank sind die Adressen als separate Felder für Straße, Stadt und Postleitzahl gespeichert, während in einer anderen Datenbank die Adresse als einzelnes Textfeld gespeichert ist.</td>
              </tr>
            </table>
          </div>
          <div class="tab-pane container" id="menu_heterogenitaet1">
            <table>
              <tr>
                <td><b>Definition:</b></td>
                <td>Zwei Datenmodelle bilden übereinstimmende Konzepte mit unterschiedlichen Begriffen ab.</td>
              </tr>
              <tr>
                <td><b>Beispiel:</b></td>
                <td>In einer Datenbank wird das Attribut <i>Umsatz</i> verwendet, während in einer anderen Datenbank dasselbe Konzept als <i>Einnahmen</i> bezeichnet wird.</td>
              </tr>
            </table>
          </div>
        </div>
      </details>

      <details>
        <summary><span>Integrationsarchitekturen</span></summary>
        <p>
          Hinsichtlich der Integration heterogener Daten lassen sich zwei gegenüberstehende Ansätze unterscheiden. Bei der <b>materialisierten Integration</b> werden die zu integrierenden Daten aus ihren jeweiligen Quellen extrahiert, in ein <b>einheitliches Datenschema</b> transformiert und anschließend in einer <b>gemeinsamen Datenbank</b> gespeichert. Bei der <b>virtuellen Integration</b> verbleiben die Daten demgegenüber in ihren ursprünglichen Quellen. Stattdessen fungiert das integrierende System als <b>Abstraktionsschicht</b>, welche benötigte Daten aus verschiedenen Quellen integriert und zusammenführt. Auf diese Weise ist es möglich, Daten in Echtzeit abzurufen, ohne dass sie physisch in einer zentralen Datenbank gespeichert werden müssen.<br>
          Die Vor- und Nachteile beider Integrationsarten hängen stark von den Anforderungen und Zielen eines Integrationssystems ab. <b>Materialisierte Integrationssysteme</b> ermöglichen insgesamt eine <b>robuste und konsistente Datenintegration</b>, erfordern jedoch im Vergleich zu virtuellen Integrationssystemen <b>mehr Ressourcen</b>. Letztere bieten aufgrund ihrer verteilten Struktur eine <b>höhere Flexibilität</b>, erfordern jedoch ebenfalls oft einen <b>höheren Wartungsaufwand</b>.<br>
          In der Praxis werden u.a. folgende Integrationsarchitekturen unterschieden:
        </p>

        <div class="nav nav-tabs" role="tab">
          <button class="nav-link active" data-bs-toggle="tab" href="#home_integrationssysteme">Materialisierte Integrationssysteme</button>
          <button class="nav-link" data-bs-toggle="tab" href="#menu_integrationssysteme1">Virtuelle Integrationssysteme</button>
        </div>

        <div class="tab-content">
          <div class="tab-pane container active" id="home_integrationssysteme">
            <table>
              <tr>
                <td><b>Data Warehouses</b></td>
                <td>
                  Data Warehouses sind spezielle Datenbanksysteme, welche entwickelt wurden, um große Mengen von <b>Daten aus verschiedenen internen und externen Quellen</b> zu sammeln, sowie <b>zentralisiert</b> zu speichern und zu verwalten. Data Warehouses sind darauf ausgerichtet, Daten zu <b>integrieren</b>, zu <b>bereinigen</b> und zu <b>harmonisieren</b>, um eine konsistente und verlässliche Informationsbasis für Analyse-, Berichts- und Entscheidungsfindungsprozesse bereitzustellen. Durch die Strukturierung und Optimierung von Daten können Organisationen Einblicke gewinnen, Trends identifizieren und fundierte Entscheidungen treffen.
                </td>
              </tr>
              <tr>
                <td><b>Operational Data Stores</b></td>
                <td>
                  Operational Data Stores sind Datenbanken, die mit der Zielstellung entwickelt wurden, <b>operative Daten aus verschiedenen Quellen in Echtzeit zu sammeln, zu speichern und zu verwalten</b>. Im Gegensatz zu Data Warehouses, welche sich auf die Analyse und Speicherung großer Mengen historischer Daten konzentrieren, dienen ODS als <b>Zwischenspeicher für aktuelle und fortlaufende Daten</b>, die von operativen Systemen generiert werden.
                </td>
              </tr>
            </table>
          </div>
          <div class="tab-pane container" id="menu_integrationssysteme1">
            <table>
              <tr>
                <td><b>Föderierte Datenbanksysteme	</b></td>
                <td>
                  Föderierte Datenbanksysteme verfügen über eine <b>verteilte Datenbankarchitektur</b>, bei der Daten über verschiedene Datenbanken und möglicherweise auch über verschiedene Standorte hinweg verteilt sind, jedoch eine <b>gemeinsame Schnittstelle</b> für den Zugriff und die Abfrage bieten. Auf diese Weise kann Anwender:innen ein integriertes und <b>konsistentes Datenzugriffssystem</b> geboten werden, ohne dass hierfür alle Daten physisch in einem zentralen Standort gespeichert werden müssen. Die einzelnen Datenbanken agieren dabei hinsichtlich der Ausführung von Transaktionen, sowie der Implementierung von Sicherheits- und Wartungsmechanismen <b>weitgehend autonom</b>.
                </td>
              </tr>
              <tr>
                <td><b>Mediatorbasierte Informationssysteme	</b></td>
                <td>
                  Mediatorbasierte Informationssysteme fungieren als <b>Vermittler zwischen verschiedenen heterogenen Datenquellen und Anwendungen</b>. In dieser Architektur interagieren Nutzer:innen und Anwendungen nicht direkt mit den einzelnen Datenquellen, sondern greifen über den Mediator auf die Daten zu. Dieser leitet eingehende Anfragen an die betreffenden Datenquellen in der jeweils benötigten Form weiter, aggregiert erhaltene Antworten und überführt diese in ein einheitliches Format. Auf diese Weise können <b>neue Datenquellen flexibel und kontinuierlich in Informationssysteme integriert</b> und Nutzer:innen konsistent zur Verfügung gestellt werden.
                </td>
              </tr>
              <tr>
                <td><b>Peer-Daten-Management-Systeme</b></td>
                <td>
                  Als Peer-Daten-Management-Systeme werden verteilte Datenbanksysteme bezeichnet, bei denen <b>jeder beteiligte Knoten (Peer) gleichzeitig als Datenquelle und Mediator</b> agieren kann. Jeder Peer speichert und verwaltet seine eigenen Daten dabei lokal und kann sie mit anderen Peers teilen, um eine <b>gemeinsame Datenbank</b> zu bilden. Anfragen an einen Peer werden daher sowohl anhand der jeweils eigenen Datenbanken als auch durch die Integration der Daten verbundener Peers beantwortet.
                </td>
              </tr>
            </table>
          </div>
        </div>
      </details>

      <details>
        <summary><span>ETL-Prozess</span></summary>

        <p>Der Prozess der <b>Konsolidierung von Daten unterschiedlicher Quellen und Strukturierunggsrade</b> zur Speicherung in einem gemeinsamen Datenbanksystem gliedert sich grundlegend in drei aufeinander aufbauende Phasen: <i>Extraktion</i>, <i>Transformation</i> und <i>Laden</i>.</p>

        <div class="nav nav-tabs" role="tab">
          <button class="nav-link active" data-bs-toggle="tab" href="#home_etl">Extraktion</button>
          <button class="nav-link" data-bs-toggle="tab" href="#menu_etl1">Transformation</button>
          <button class="nav-link" data-bs-toggle="tab" href="#menu_etl2">Laden</button>
        </div>

        <div class="tab-content">
          <div class="tab-pane container active" id="home_etl">
            <p>In der Phase der Datenextraktion werden <b>Daten aus den Quellsystemen extrahiert</b> und für die anschließende Transformation vorbereitet. Der Schwerpunkt liegt auf der Bereitstellung aktueller Daten. Dies kann durch eine <b>synchrone Extraktion</b> erreicht werden, bei der jede Aktualisierung des Quellsystems sofort in das Integrationssystem übernommen wird, oder durch eine <b>asynchrone Extraktion</b>, bei der die Daten periodisch in festgelegten Zeitabständen, infolge definierter Ereignisse oder auf Anfrage extrahiert werden.</p>
          </div>
          <div class="tab-pane container" id="menu_etl1">
            <p>In der Transformationsphase werden die extrahierten Daten, die unterschiedlichen Strukturen unterliegen, in das <b>Schema der Zieldatenbank</b> überführt. Hierbei müssen alle relevanten strukturellen und semantischen Unterschiede durch geeignete Anpassungsmechanismen ausgeglichen werden. Anschließend werden die transformierten Daten in der Regel grundlegenden <b>Bereinigungsprozessen</b> unterzogen, bei denen beispielsweise Duplikate entfernt und Werte in einheitliche Maßeinheiten oder Bezeichnungen konvertiert werden.</p>
          </div>
          <div class="tab-pane container" id="menu_etl2">
            <p>In der Ladephase werden die transformierten Daten aus dem Arbeitsbereich des Integrationssystems <b>in das jeweilige Zielsystem integriert</b>. Dabei ist es von zentraler Bedeutung, die Übertragung und Integration der Daten möglichst effizient zu gestalten, um die <b>Blockierdauer des Zielsystems</b> zu minimieren und dessen <b>Integrität zu wahren</b>. Um Ausfälle des Zielsystems aufgrund fehlgeschlagener Übertragungen zu vermeiden, empfiehlt es sich, alle vorgenommenen Änderungen in Form einer <b>Versionshistorie</b> zu protokollieren.</p>
          </div>
        </div>
        
      </details>

      <details>
        <summary><span>Schema Matching und Schema Mapping</span></summary>
        <p>
          Die Begriffe Schema Matching und Schema Mapping bezeichnen zwei Schlüsselkonzepte im Kontext der <b>Auflösung struktureller Heterogenitäten</b> verschiedener Datenquellen, um eine <b>kohärente Sicht</b> auf die Gesamtheit der vorliegenden Daten zu gewährleisten.<br>
          <b>Schema Mapping</b> beschreibt dabei allgemein den Prozess, durch welche identifizierte, semantisch <b>ähnliche Konzepte</b> zwischen mehreren Schemata <b>ineinander transformiert bzw. aufeinander abgebildet</b> werden. Konkret bedeutet dies, dass Beziehungen zwischen den Quell- und Zielschemata hergestellt werden, um Daten eines Schemas in ein bzw. mehrere andere zu überführen und auf diese Weise strukturelle und semantische Unterschiede zu überbrücken.<br>
          <b>Schema Matching</b> ist ein Sammelbegriff für verschiedene Methoden und Strategien zur <b>automatischen Identifizierung und Überführung semantischer Entsprechungen</b> zwischen den Schemata unterschiedlicher Datenquellen. Hierbei stellt die Vielfalt und Komplexität von Datenquellen und Schemata eine zentrale Herausforderung dar. Oftmals sind die zu integrierenden Schemata <b>unvollständig dokumentiert</b> oder inkonsistent, was die automatische Identifikation semantischer Ähnlichkeiten erschwert. Weiterhin können feine semantische Unterschiede zwischen den Schemata leicht zu <b>Fehlinterpretationen</b> führen. Um diesen Herausforderungen zu begegnen, gewinnen neben der klassischen Analyse von Text- und Metadaten, heute vor allem <b>Ansätze des maschinellen Lernens</b> zur Untersuchung der in den Schemata enthaltenen Begriffe und Beziehungen zunehmend an Bedeutung.
        </p>
      </details>
      
      <iframe src="https://informationsintegration-db-vorbereitungskurs-opt-2fc63048258b50.gitlab.io" style="width: 100%; height: 360px; border: 1px solid #ced4da; border-radius: 10px; margin-top: 2.5em;"></iframe>

      <br><br>
      <details>
        <summary><span style="font-size: 1.3em">Bildquellen</span></summary>
        <ol>
          <li id="source1"><a href="https://upload.wikimedia.org/wikipedia/commons/c/cc/Olap-3d-cube.png?20201209223311" target="_blank">Margaret Rouse, olap.com, Guru99, CC BY-SA 4.0</a></li>
          <li id="source2"><a href="https://upload.wikimedia.org/wikipedia/commons/7/78/Star_Schema.png" target="_blank">Star Schema Dhbw dbi, CC BY-SA 3.0</a></li>
          <li id="source3"><a href="https://upload.wikimedia.org/wikipedia/commons/1/1d/Snowflake_schema.png" target="_blank">Snowflake Schema Dhbw dbi, CC BY-SA 3.0</a></li>
        </ol>  
      </details>

      {{> footer }}
    </div>
  </div>
</body>